#!/usr/bin/perl -w -I.
use strict;

#  ---------------------------------------------------------------------
#   Test script for whatsnew engine
#    v2.0
#    April 2002
#  ------------------+--------------------+-----------------------------
#   Hussein Suleman  |   hussein@vt.edu   |    www.husseinsspace.com    
#  ------------------+--------------------+-+---------------------------
#   Department of Computer Science          |        www.cs.vt.edu       
#     Digital Library Research Laboratory   |       www.dlib.vt.edu      
#  -----------------------------------------+-------------+-------------
#   Virginia Polytechnic Institute and State University   |  www.vt.edu  
#  -------------------------------------------------------+-------------


use FindBin;
use lib "$FindBin::Bin/../../lib";

use ODL::WhatsNew::WhatsNewDP;


sub main
{
   print "Test WhatsNew\n\n";
   
   # run browse operation
   chdir "$FindBin::Bin";
   my $wn = new ODL::WhatsNew::WhatsNewDP ('config.xml');
   my $results = $wn->whatsnew;
   $wn->dispose;

   # output results
   if ($#$results > 0)
   {
      print "List of identifiers in result set:\n";
   }
   for ( my $i=0; $i<$#$results; $i++ )
   {
      print "  $results->[$i]\n";
   }
   print "\nTotal hits : $results->[-1]\n\n";
}

main;
